package com.qhtx.eta.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


@Component
@Data
@ConfigurationProperties(prefix = "okhttp")
public class OkHttpClientProperties {
    /**
     * 连接超时时间
     */
    private int connectTimeout;
    /**
     * 读取超时时间
     */
    private int readTimeout;

    /**
     * 重试次数
     */
    private int retryTimes;
    /**
     * 重试间隔
     */
    private int retryInterval;

}
