package com.qhtx.eta.domain.api.http.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ETAPushIndexRequest implements Serializable {

    private static final long serialVersionUID = 8383366423275313479L;
    @JsonProperty("IndexCode")
    private String indexCode;
    @JsonProperty("IndexName")
    private String indexName;
    @JsonProperty("Unit")
    private String unit;
    @JsonProperty("Frequency")
    private String frequency;
    @JsonProperty("SourceName")
    private String sourceName;
    @JsonProperty("Remark")
    private String remark;
    @JsonProperty("DataList")
    private List<ETAPushData> dataList;
}

