package com.qhtx.eta.domain.api.http.response.eta;

import com.qhtx.eta.domain.convert.ClassifyDTOConverter;
import com.qhtx.eta.domain.entity.ClassifyMappingDTO;

import java.util.List;
import java.util.stream.Collectors;

public class ClassifyDataResponse extends ETAHttpResponse<ETAClassifyData, ClassifyMappingDTO> {
    @Override
    public List<ClassifyMappingDTO> convertDataToDTO() {
        return this.getData().stream().map(ClassifyDTOConverter.INSTANCE::convertDataToDTO).collect(Collectors.toList());
    }
}
