package com.qhtx.eta.domain.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Component
@Data
@ConfigurationProperties(prefix = "eta")
public class ETAConfigProperties {
    /**
     * eta接口地址
     */
    private String url;

    /**
     * appid
     */
    private String appid;
    /**
     * 密钥
     */
    private String secretKey;

    private String etaCategoryName;
}
