package com.qhtx.eta.domain.enums;

import lombok.Getter;

@Getter
public enum ETATaskEnum {
    SYNC_ETA_INDEX_DATA("data", "syncETAData"),
    SYNC_ETA_INDEX_INFO("info", "syncETAInfo"),
    SYNC_INDEX_CLASSIFY_LIST("classify", "syncETAClassifyList"),
    SYNC_ETA_PUSH_DATA("push", "syncETAPushData"),
    ;


    private String name;
    private String method;

    ETATaskEnum(String name, String method) {
        this.name = name;
        this.method = method;
    }

    public static ETATaskEnum ofName(String name) {
        for (ETATaskEnum taskEnum : ETATaskEnum.values()) {
            if (taskEnum.getName().equals(name)) {
                return taskEnum;
            }
        }
        return null;
    }
}
