package com.qhtx.eta.domain.service;

import com.qhtx.eta.domain.entity.DWIndexDTO;
import com.qhtx.eta.domain.entity.DWIndexDataDTO;
import com.qhtx.eta.domain.entity.DWIndexFrameDTO;
import com.qhtx.eta.infra.entity.dw.TDampDwLinkDetail;
import com.qhtx.eta.infra.entity.dw.DWIndex;
import com.qhtx.eta.infra.entity.dw.TDampDwIndex;
import com.qhtx.eta.infra.entity.dw.TDampDwIndexData;
import com.qhtx.eta.infra.entity.dw.TDampDwIndexLink;

import java.util.List;

public interface DWIndexFrameService {
    void syncIndexFrame();

    String generateTableCode();

    void processing(List<DWIndexFrameDTO> processList);


    DWIndex getIndexByIndexCode(String indexCode);

    DWIndexDTO addSyncIndex(String indexCode);

    DWIndexDTO getIndex(String indexCode);

    List<DWIndexDataDTO> getIndexData(String indexCode);

    void insertIndex(TDampDwIndex dwIndex);

    List<Long> getIndexSeq(int nums);

    void insertIndexLink(TDampDwIndexLink tDampDwIndexLink);

    List<TDampDwLinkDetail> getlinkDataList(String linkCode);

    void batchInsertIndexData(List<TDampDwIndexData> dwLinkDetailList);
}
