package com.qhtx.eta.infra.service;

import com.qhtx.eta.infra.entity.ods.EtaApiQuotaInfo;

import java.util.List;

/**
 * (EtaApiQuotaInfo)表服务接口
 *
 * @author makejava
 * @since 2024-04-29 13:52:38
 */

public interface EtaApiQuotaInfoService {

    /**
     * 通过ID查询单条数据
     *
     * @param quoteId 主键
     * @return 实例对象
     */
    EtaApiQuotaInfo queryById(Integer quoteId);

    long countQuota();

    /**
     * 新增数据
     *
     * @param etaApiQuotaInfo 实例对象
     * @return 实例对象
     */
    EtaApiQuotaInfo insert(EtaApiQuotaInfo etaApiQuotaInfo);

    /**
     * 修改数据
     *
     * @param etaApiQuotaInfo 实例对象
     * @return 实例对象
     */
    EtaApiQuotaInfo update(EtaApiQuotaInfo etaApiQuotaInfo);

    /**
     * 通过主键删除数据
     *
     * @param quoteId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer quoteId);

    void batchInsertOrUpdate(List<EtaApiQuotaInfo> quotaInfoDTOS);


    List<EtaApiQuotaInfo> queryQuotaList(EtaApiQuotaInfo etaApiQuotaInfo);

    List<EtaApiQuotaInfo> queryQuotaListPage(int offset, int limit);

    List<EtaApiQuotaInfo> getAllQuotaList();
}
