package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.TDampDwLinkDetail;
import com.qhtx.eta.infra.mapper.TDampDwLinkDetailDao;
import com.qhtx.eta.infra.service.TDampDwLinkDetailService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * (TDampDwLinkDetail)表服务实现类
 *
 * @author makejava
 * @since 2024-10-16 16:00:58
 */
@Service("tDampDwLinkDetailService")
@UseDataSource(dataSourceType = DataSourceType.DW)
public class TDampDwLinkDetailServiceImpl implements TDampDwLinkDetailService {
    @Resource
    private TDampDwLinkDetailDao tDampDwLinkDetailDao;


    /**
     * 分页查询
     *
     * @param linkCode 对接码
     * @return 查询结果
     */
    @Override
    public List<TDampDwLinkDetail> queryByLinkCode(String linkCode) {
        return tDampDwLinkDetailDao.queryAllByLinkCode(linkCode);
    }


}
