package com.qhtx.eta.common.constant;

public class ETAConstants {

    /**
     * ETA api contants
     */
    public static final String NONCE = "Nonce";

    public static final String APP_ID = "AppId";
    public static final String SIGNATURE = "Signature";
    public static final String TIME_STAMP = "Timestamp";

    public static final String UNKNOWN_ERROR = "unknown error";

    public static final String ETA_EMPTY_RESPONSE_COMMENT = "eta response is empty";
    /**
     * thread pool
     */
    public static final String THREAD_POOL_ETA_INFO = "eta_info";
    public static final String THREAD_POOL_ETA_DATA = "eta_data";
    public static final String THREAD_POOL_ETA_CLASSIFY = "eta_classify";
    public static final String THREAD_POOL_INDEX_FRAME = "index_frame";
    public static final String THREAD_POOL_INDEX_DATA = "index_data";
    /**
     * date
     */
    public static final String DATE_PATTERN = "yyyy-MM-dd";
    public static final String TIMESTAMP_PATTERN = "yyyy-MM-dd HH:mm:ss";
    public static final String TIME_ZONE = "Asia/Shanghai";

    /**
     * other
     */
    public static final String LINE_SEPARATOR = "===========================================================";
    public static final String MAPPER_LOCATION = "classpath*:mapper/*.xml";

    public static final String ODS_DATA_TABLE_NAME = "T_ETA_API_QUOTA_DATA";

    public static final String DW_INDEX_FRAME_PARENT_NAME = "ETA投研平台";

    //海通DW
    public static final String REDIS_INDEX_FRAME_TABLE_CODE_KEY = "t_damp_dm_index_frame_table_code_incr";
    public static final String INDEX_FRAME_TABLE_CODE_PREFIX = "DWZBKJ";
    public static final String INDEX_FRAME_CREATE_UPDATE_USER_NAME = "SYSINI";

    public static final int INDEX_FRAME_CREATE_UPDATE_USER_ID = 0;

    public static final int ETA_PUSH_DATA_LIMIT = 1000;
    public static final int ETA_PUSH_DATA_CHUNK = 100;


    public static final String ETA_LINK_PREFIX = "ETA";
    public static final int INDEX_SYNC_LIMIT = 1000;

    public static final int INDEX_SYNC_CHUNK = 100;


    public static final String COLON = ":";
    public static final int SEQ_LENGTH = 10;
}
