package com.qhtx.eta.domain.entity;

import lombok.Data;

import java.util.List;

@Data
public class LinkInfoDTO {

    /**
     * 对接码前缀
     */
    private String linkPrefix;
    /**
     * 信息表id
     */
    private String infoTableId;
    /**
     * 信息表名
     */
    private String infoTableName;
    /**
     * 数据表id，type=2时必填
     */
    private String dataTableId;
    /**
     * 数据表名，type=2时必填
     */
    private String dataTableName;
    /**
     * 对接码字段集合，json格式保存
     */
    private List<LinkFieldDTO> linkFields;

}
