package com.qhtx.eta.infra.mapper;

import com.qhtx.eta.infra.entity.dw.TDampDwLinkDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (TDampDwLinkDetail)表数据库访问层
 *
 * @author makejava
 * @since 2024-10-16 16:00:58
 */
public interface TDampDwLinkDetailDao {


    /**
     * 查询指定行数据
     *
     * @param linkCode 对接码
     * @return 对象列表
     */
    List<TDampDwLinkDetail> queryAllByLinkCode(@Param("linkCode") String linkCode);

    /**
     * 统计总行数
     *
     * @param tDampDwLinkDetail 查询条件
     * @return 总行数
     */
    long count(TDampDwLinkDetail tDampDwLinkDetail);


}

